﻿using System;
using System.Collections.Generic;
using System.Web;

namespace MDK
{
    /// <summary>
    /// 商品情報Beanクラス
    /// </summary>
    public class CommodityDetail
    {
        /// <summary>
        ///  コンストラクタ
        /// </summary>
        public CommodityDetail()
        {
        }

        /// <summary>
        /// コンストラクタ
        /// </summary>
        /// <param name="commodityId">商品ID</param>
        /// <param name="janCode">JAN CODE</param>
        /// <param name="commodityName">商品名</param>
        /// <param name="commodityUnit">単価</param>
        /// <param name="commodityNum">個数</param>
        public CommodityDetail(String commodityId, String janCode, String commodityName,
                int commodityUnit, int commodityNum)
        {
            this.commodityId = commodityId;
            this.janCode = janCode;
            this.commodityName = commodityName;
            this.commodityUnit = commodityUnit;
            this.commodityNum = commodityNum;
        }

        /// <summary>
        /// 商品ID
        /// </summary>
        public String commodityId;

        /// <summary>
        /// JAN CODE
        /// </summary>
        public String janCode;

        /// <summary>
        /// 商品名
        /// </summary>
        public String commodityName;

        /// <summary>
        /// 単価
        /// </summary>
        public int commodityUnit;

        /// <summary>
        /// 個数
        /// </summary>
        public int commodityNum;
    }
}