﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using MDK;

namespace VTWebNET
{
    /// <summary>
    /// VT Web画面遷移前確認画面
    /// </summary>
    public partial class IfJump : System.Web.UI.Page
    {
        /// <summary>
        /// ページロード時の処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            // セッションから情報取得
            EncryptionKey encKey = (EncryptionKey)Session["EncryptionKey"];
            String orderId = (String)Session["orderId"];

            MerchantConf info = MerchantConf.getInfo();

            // VTWebのURLを設定
            form1.Action = info.vtWebSettlementUrl;

            // hidden 項目の設定
            MERCHANT_ID.Value = info.merchantID;
            ORDER_ID.Value = orderId;
            BROWSER_ENCRYPTION_KEY.Value = encKey.browserEncryptionKey;
        }
    }
}
